Subject: Filtering problems

From: Shoeless in San Jose <[email-masked]>
Date: Sun, 16 Feb 1997 22:02:53 -0800 (PST)

I know this isn't the right newsgroup for this question, but humor me. 
;)  

I tried to set up a filter for my stepmom's e-mail (Linux - not sure of
the version number), but so far I haven't figured out how to get it to
work like mine.  I use 'filter' with a simple 'filter-rules' file, and the
.forward file.  It works great on mine, and I expected a minor problem or
two with hers (Murphy's Law), but I couldn't get it to work with incoming
mail that didn't fall into any of the filter rules; in other words, if it
didn't filter the mail, instead of putting it into the standard 'INBOX'
file, it would generate a filter-error saying something about 'couldn't
find lock file' and then put the message into a new file in her root
directory call 'EMERGENCY-MBOX'. 

Here's a copy of her .forward file:

     "|/usr/bin/filter -vo /home/csmith/.elm/filter-errors"

I tried it first with just the -o, later adding the v to make it -vo.
Neither made any difference.

Anyone out there ever had this trouble when setting up a filtering system 
for yourself?  I had *no* problem with mine, and following Nancy 
McGough's FAQ under the '4.0 Filter' section gave me no clues for 
troubleshooting this particular problem.  Or, can someone direct me to 
the appropriate FAQ or newsgroup for getting to the bottom of this 
dilemna.  

I'd rather keep it simple by using 'filter' rather than trying to install 
and set up something like procmail, which I have yet to sit down and try 
to do on my system, so I don't want to experiment too much on hers. 

Thanks in advance.

Greg
[email-masked]